Query Files
curl --request POST \
--url https://{instance}.domo.com/api/files/v1/filesets/{filesetId}/query \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"query": "<string>",
"directoryPath": "<string>",
"topK": 123
}
'import requests
url = "https://{instance}.domo.com/api/files/v1/filesets/{filesetId}/query"
payload = {
"query": "<string>",
"directoryPath": "<string>",
"topK": 123
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', directoryPath: '<string>', topK: 123})
};
fetch('https://{instance}.domo.com/api/files/v1/filesets/{filesetId}/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"matches": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"node": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"name": "<string>",
"fileType": "<string>",
"contentType": "<string>",
"size": 123,
"created": 123,
"type": "<string>"
},
"score": 123
}
]
}Files
Query Files
Performs a text-based search for content within files in a FileSet.
POST
/
api
/
files
/
v1
/
filesets
/
{filesetId}
/
query
Query Files
Authorizations
Domo Developer Token for authentication.
Path Parameters
Body
application/json
Response
A list of matching files with relevance scores.
Show child attributes
Show child attributes
⌘I